# mofron-comp-background
Background component for mofron

# Install

```bash
npm install --save-dev mofron
```

# Quick Start
require webpack

```html
<html>
    <head></head>
    <body style="margin:0px;padding:0px;"></body>
    <script src='./path/to/webpack/output.js'></script>
</html>
```

example
```javascript
require('mofron');
require('mofron-comp-background');
require('mofron-layout-hrzcenter');

/* set background */
var base  = new mofron.comp.Background();
base.color(new mofron.util.Color(240,240,240));
base.addLayout(new mofron.layout.HrzCenter());

/* set contents */
var conts = new mofron.comp.Background();
conts.shadow(20);
conts.color(new mofron.util.Color(250,250,250));

base.addChild(conts);
base.init();
```

#class specification

| Method          | Parameter                                                                    |    Description                  |
|:------------------|:-----------------------------------------------------------------|:-------------------------------|
| color               | mofron.util.Color : color (option)                            |button color getter/setter<br>(for getter, do not specify parameters) |
| shadow           | number : shadow length                                           | set shadow style to side<br>(for getter, do not specify parameters)    |

